function ybbcode(temp) {

if (getCookie('ybbcode')!='0'){ //是否打开YBB代码
temp = temp.replace(/&;/ig,"&");
temp = temp.replace(/\[b\]/ig,"<b>");
temp = temp.replace(/\[\/b\]/ig,"<\/b>");
temp = temp.replace(/\[i\]/ig,"<i>");
temp = temp.replace(/\[\/i\]/ig,"<\/i>");
temp = temp.replace(/\[u\]/ig,"<u>");
temp = temp.replace(/\[\/u\]/ig,"<\/u>");
temp = temp.replace(/\[strike\]/ig,"<strike>");
temp = temp.replace(/\[\/strike\]/ig,"<\/strike>");
temp = temp.replace(/\[center\]/ig,"<center>");
temp = temp.replace(/\[\/center\]/ig,"<\/center>");
temp = temp.replace(/\[marquee\]/ig,"<marquee>");
temp = temp.replace(/\[\/marquee\]/ig,"<\/marquee>");
temp = temp.replace(/\[QUOTE\]/ig,"<table border='0' width='100%' cellspacing='1' cellpadding='10' bgcolor='#31659C' align='center'><tr><td width='90%' bgcolor='#FFFFFF' style='word-break:break-all'>");
temp = temp.replace(/\[\/QUOTE\]/ig,"</td></tr></table>");
temp = temp.replace(/(\[sound\])(.[^\[]*)(\[\/sound\])/ig,"<bgsound src='$2' loop='-1'>");
temp = temp.replace(/\[\/QUOTE\]/ig,"<HR SIZE=1><\/BLOCKQUOTE>");

temp = temp.replace(/(\[LIGHT=#([a-z0-9]*)\])([^]]*)(\[\/LIGHT\])/ig,"<table width=100%><tr><td style='FILTER:glow(color=$2)' class=a5>$3</td></tr></table>");
temp = temp.replace(/(\[SHADOW=#([a-z0-9]*)\,([0-9]*)\])([^]]*)(\[\/SHADOW\])/ig,"<table width=100%><tr><td style='FILTER:shadow(color=$2,strength=$3)'>$4</td></tr></table>");

temp = temp.replace(/(\[sound\])(.[^\[]*)(\[\/sound\])/,"<bgsound src='$2' loop='-1'>");
temp = temp.replace(/(\[text1\])(.[^\[]*)(\[\/text1\])/ig,"<span style='width:97%;filter:glow(color=#F8C747,strength=3);color:#000000;font-size:10pt'>$2</span>");
temp = temp.replace(/(\[text2\])(.[^\[]*)(\[\/text2\])/ig,"<span style='width:97%;filter:glow(color=#F73EBF,strength=3);color:#FFFFFF;font-size:10pt'>$2</span>");
temp = temp.replace(/(\[text3\])(.[^\[]*)(\[\/text3\])/ig,"<span style='width:97%;filter:glow(color=#0000FF,strength=3);color:#FFFFFF;font-size:10pt'>$2</span>");
temp = temp.replace(/(\[text4\])(.[^\[]*)(\[\/text4\])/ig,"<span style='width:97%;filter:glow(color=#082B68,strength=3);color:#FFFFFF;font-size:10pt'>$2</span>");
temp = temp.replace(/(\[text5\])(.[^\[]*)(\[\/text5\])/ig,"<span style='width:97%;filter:glow(color=#7D3F00,strength=3);color:#FFFFFF;font-size:10pt'>$2</span>");


temp = temp.replace(/(\[TABLE)([^]]*)(\])(.*)(\[\/TABLE\])/ig,function(TA,TB,TC,TD,TE){

if (TC.toLowerCase().indexOf("on")>=0||TC.toLowerCase().indexOf("st")>=0){TC='';}
TE = TE.replace(/(\[TR)([^]]*)(\])/ig,function ($1,$2,$3){if ($3.toLowerCase().indexOf("on")>=0||$3.toLowerCase().indexOf("st")>=0){$3='';}return "<TR "+$3+">"});
TE = TE.replace(/(\[TD)([^]]*)(\])/ig,function ($1,$2,$3){if ($3.toLowerCase().indexOf("on")>=0||$3.toLowerCase().indexOf("st")>=0){$3='';}return "<TD "+$3+">"});
TE = TE.replace(/\[\/TR\]/ig,"</TR>");
TE = TE.replace(/\[\/TD\]/ig,"</TD>");
return "<table "+TC+" >"+TE+"</table>";
});


temp = temp.replace(/(\[font=)([^.:;`'"=\]]*)(\])/ig,"<FONT face='$2'>");
temp = temp.replace(/\[\/font\]/ig,"<\/FONT>");
temp = temp.replace(/(\[COLOR=)([^.:;`'"=\]]*)(\])/ig,"<FONT COLOR='$2'>");
temp = temp.replace(/\[\/COLOR\]/ig,"<\/FONT>");
temp = temp.replace(/(\[size=)([0-9]*)(\])/ig,"<FONT size='$2'>");
temp = temp.replace(/\[\/size\]/ig,"<\/FONT>");
temp = temp.replace(/(\[URL\])([^]]*)(\[\/URL\])/ig,"<A TARGET=_blank HREF='$2'>$2</A>");
temp = temp.replace(/(\[URL=)([^]]*)(\])/ig,"<A TARGET=_blank HREF='$2'>");
temp = temp.replace(/\[\/URL\]/ig,"<\/A>");
temp = temp.replace(/(\[EMAIL\])(\S+\@[^]]*)(\[\/EMAIL\])/ig,"<a href=mailto:$2>$2</a>");
temp = temp.replace(/(\[RM=([0-9]*)\,([0-9]*)\])([^]]*)(\[\/RM\])/ig,"<OBJECT classid=clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA width=$2 height=$3><PARAM NAME=SRC VALUE=$6><PARAM NAME=CONSOLE VALUE=Clip1><PARAM NAME=CONTROLS VALUE=imagewindow><PARAM NAME=AUTOSTART VALUE=true><\/OBJECT><br><OBJECT classid=CLSID:CFCDAA03-8BE4-11CF-B84B-0020AFBBCCFA height=60 width=500><PARAM NAME=SRC VALUE=$4><PARAM NAME=CONTROLS VALUE=ControlPanel,StatusBar><PARAM NAME=CONSOLE VALUE=Clip1><\/OBJECT>");
temp = temp.replace(/(\[MP=([0-9]*)\,([0-9]*)\])([^]]*)(\[\/MP\])/ig,"<object classid=CLSID:22d6f312-b0f6-11d0-94ab-0080c74c7e95 width=$2 height=$3><param name=ShowStatusBar value=-1><param name=Filename value=$4><\/object>");
temp = temp.replace(/(\[glow\])(.[^\[]*)(\[\/glow\])/ig,"<TABLE width=255><span style='behavior:url(inc/font.htc)'>$2</span><\/TABLE>");
temp = temp.replace(/(\[HTML\])([^]]*)(\[\/HTML\])/ig,function($0,$1,$2){
$2 = $2.replace(/<BR>/ig,"\n");
$2 = $2.replace(/<P>/ig,"\n\r\n");
return "<span><TEXTAREA cols=70 rows=10 id='RUNCODE'>"+$2+"</TEXTAREA><br><INPUT onclick=runCode() type=button value=运行代码>[Ctrl+A 全部选择 提示：你可先修改部分代码，再按运行]</span>";
});
}



if (getCookie('ybbflash')!='0'){  //是否打开[FLASH]代码
temp = temp.replace(/(\[FLASH=([0-9]*)\,([0-9]*)\])([^]]*)(\[\/FLASH\])/ig,"<embed width=$2 height=$3 src='$4' wmode=transparent>");
}

if (getCookie('ybbimg')!='0'){　//是否打开[IMG]代码
temp = temp.replace(/(\[IMG\])([^]]*)(\[\/IMG\])/ig,"<A TARGET=_blank HREF='$2'><img border=0 src='$2' onmousewheel='return yuzi_img(event,this)' onload='javascript:if(this.width>body.clientHeight)this.width=body.clientHeight' onerror=src='images/picerr.gif' alt='点击打开新窗口浏览'></A> ");
}

if (getCookie('ybbbrow')!='0'){  //是否打开表情代码
temp = temp.replace(/(\[em)([0-9]*)(\])/ig,"<IMG border=0 SRC=images/Emotions/$2.gif>");
temp = temp.replace(/\[mfshow([0-9]*)\]/ig,"<span onmouseover=ShowQQ('$1') style=cursor: hand><IMG width=41 height=41 src=images/qqmt/$1.gif border=0 alt=看我超酷表演></span>");
}
temp = temp.replace(/(\[nc)(\d+)(\])/ig,"<IMG border=0 SRC=images/dongzuo/$2.gif>");
temp = temp.replace(/\[audio01\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/01.swf><\/OBJECT><b>就这事啊？地球人都知道！</b></form></span> ");
temp = temp.replace(/\[audio02\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/02.swf><\/OBJECT><b>嘿嘿！逗你玩~~</b></form></span> ");
temp = temp.replace(/\[audio03\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/03.swf><\/OBJECT><b>年轻人！做人要厚道！</b></form></span> ");
temp = temp.replace(/\[audio04\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/04.swf><\/OBJECT><b>在干吗？这不是跟我打岔吗！</b></form></span> ");
temp = temp.replace(/\[audio05\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/05.swf><\/OBJECT><b>一定要幸福噢~~~</b></form></span> ");
temp = temp.replace(/\[audio06\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/06.swf><\/OBJECT><b>你好可爱噢~~~</b></form></span> ");
temp = temp.replace(/\[audio07\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/07.swf><\/OBJECT><b>加油哦！！</b></form></span> ");
temp = temp.replace(/\[audio08\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/08.swf><\/OBJECT><b>我好想你哦~~</b></form></span> ");
temp = temp.replace(/\[audio09\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/09.swf><\/OBJECT><b>你不要这样嘛?</b></form></span> ");
temp = temp.replace(/\[audio10\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/10.swf><\/OBJECT><b>我真的好感激你哦~~</b></form></span> ");
temp = temp.replace(/\[audio11\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/11.swf><\/OBJECT><b>你简直..太让我感动了~~</b></form></span> ");
temp = temp.replace(/\[audio12\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/12.swf><\/OBJECT><b>过来..近点..再近点..KISS！！</b></form></span> ");
temp = temp.replace(/\[audio13\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/13.swf><\/OBJECT><b>强！实在是强！！</b></form></span> ");
temp = temp.replace(/\[audio14\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/14.swf><\/OBJECT><b>真、真、真的么？？我要晕了！</b></form></span> ");
temp = temp.replace(/\[audio15\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/15.swf><\/OBJECT><b>最近真的好想你哦！</b></form></span> ");
temp = temp.replace(/\[audio16\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/16.swf><\/OBJECT><b>啊！你是中邪喔！</b></form></span> ");
temp = temp.replace(/\[audio17\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/17.swf><\/OBJECT><b>你好讨厌哦~~~</b></form></span> ");
temp = temp.replace(/\[audio18\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/18.swf><\/OBJECT><b>抽根烟吧！</b></form></span> ");
temp = temp.replace(/\[audio19\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/19.swf><\/OBJECT><b>不干不干就是不干！！</b></form></span> ");
temp = temp.replace(/\[audio20\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/20.swf><\/OBJECT><b>饿不饿请你吃东西~~</b></form></span> ");
temp = temp.replace(/\[audio21\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/21.swf><\/OBJECT><b>听见了吗?那是我肚子在叫~~</b></form></span> ");
temp = temp.replace(/\[audio22\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/22.swf><\/OBJECT><b>哼！小样，我看你还真是找扁~</b></form></span> ");
temp = temp.replace(/\[audio23\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/23.swf><\/OBJECT><b>坦白从宽，我看你还是交代了吧~</b></form></span> ");
temp = temp.replace(/\[audio24\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/24.swf><\/OBJECT><b>哼！你这骗子~</b></form></span> ");
temp = temp.replace(/\[audio25\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/25.swf><\/OBJECT><b>我就是喜欢你动作非常慢的时候~~~</b></form></span> ");
temp = temp.replace(/\[audio26\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/26.swf><\/OBJECT><b>hi！是你吧，我知道你在，我可看见你了！</b></form></span> ");
temp = temp.replace(/\[audio27\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/27.swf><\/OBJECT><b>哎！看来你可真寂寞！</b></form></span> ");
temp = temp.replace(/\[audio28\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/28.swf><\/OBJECT><b>年轻人，虚心点没错！</b></form></span> ");
temp = temp.replace(/\[audio29\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/29.swf><\/OBJECT><b>这么说你还不明白，你猪头啊！</b></form></span> ");
temp = temp.replace(/\[audio30\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/30.swf><\/OBJECT><b>掰掰落~~~</b></form></span> ");
temp = temp.replace(/\[audio31\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/31.swf><\/OBJECT><b>拜拜了您那~~</b></form></span>");
temp = temp.replace(/\[audio32\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/32.swf><\/OBJECT><b>哎呦！老板来了，我先走了啊！</b></form></span> ");
temp = temp.replace(/\[audio33\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/33.swf><\/OBJECT><b>不行不行！我得上厕所...得上厕所！</b></form></span> ");
temp = temp.replace(/\[audio34\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/34.swf><\/OBJECT><b>晚安做个好梦！</b></form></span> ");
temp = temp.replace(/\[audio35\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/35.swf><\/OBJECT><b>我困得不行了得先走一步了！</b></form></span> ");
temp = temp.replace(/\[audio36\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/36.swf><\/OBJECT><b>有人在家吗？</b></form></span> ");
temp = temp.replace(/\[audio37\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/37.swf><\/OBJECT><b>开会啰！</b></form></span> ");
temp = temp.replace(/\[audio38\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/38.swf><\/OBJECT><b>早安！</b></form></span> ");
temp = temp.replace(/\[audio39\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/39.swf><\/OBJECT><b>还在加班？真忙假忙啊？</b></form></span> ");
temp = temp.replace(/\[audio40\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/40.swf><\/OBJECT><b>你可算来了，我等你很久了！</b></form></span> ");
temp = temp.replace(/\[audio41\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/41.swf><\/OBJECT><b>来啦小妞~~</b></form></span> ");
temp = temp.replace(/\[audio42\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/42.swf><\/OBJECT><b>早上好，您来啦！</b></form></span> ");
temp = temp.replace(/\[audio43\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/43.swf><\/OBJECT><b>你要死啦～到现在才出现，到哪里潜水去啦...</b></form></span> ");
temp = temp.replace(/\[audio44\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/44.swf><\/OBJECT><b>喂..我老板来了，先闪一下喽~下次再聊..</b></form></span> ");
temp = temp.replace(/\[audio45\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/45.swf><\/OBJECT><b>啊~~这是一定要的啦！</b></form></span> ");
temp = temp.replace(/\[audio46\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/46.swf><\/OBJECT><b>嗯哼~人家.. 去撇个尿啰..嗯哼~</b></form></span> ");
temp = temp.replace(/\[audio47\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/47.swf><\/OBJECT><b>嗯哼~来，亲一个~</b></form></span> ");
temp = temp.replace(/\[audio48\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/48.swf><\/OBJECT><b>起来动一动吧，follow me! one more, two more...</b></form></span> ");
temp = temp.replace(/\[audio49\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/49.swf><\/OBJECT><b>祝你生日快乐~祝你生日快乐..喔喔！祝你生日快乐喽！</b></form></span> ");
temp = temp.replace(/\[audio50\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/50.swf><\/OBJECT><b>不知道该说什么...</b></form></span> ");
temp = temp.replace(/\[audio51\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/51.swf><\/OBJECT><b>好想睡喔..zzZZ</b></form></span>");
temp = temp.replace(/\[audio52\]/ig,"<span id=wawa><form  onmouseover=javascript:this.wawa.play()><OBJECT classid=clsid:D27CDB6E-AE6D-11cf-96B8-444553540000  WIDTH=48 HEIGHT=48 name=wawa><PARAM NAME=movie VALUE=images/swf/52.swf><\/OBJECT><b>让我想一想~~</b></form></span>");


return (temp);
}
function runCode()
{
var code=event.srcElement.parentElement.children[0].value;
var newwin=window.open('','','');
newwin.opener=null;
newwin.document.write(code);
newwin.document.close();
}

function level(experience,membercode,username,moderated)
{
if (membercode=='0'){levelname="尚未激活";levelimage="<img src=images/level1.gif>";}
else
if (membercode=='2'){levelname="贵宾会员<img src=vip/vipmedal.gif>";levelimage="<img src=images/level/20.gif>";}
else
if (membercode=='4'){levelname="超级版主";levelimage="<img src=images/level/chaojibanzhu.gif>";}
else
if (membercode=='5'){levelname="管理员";levelimage="<img src=images/level/guanliyuan.gif>";}
else
if (membercode=='6'){levelname="社区区长";levelimage="<img src=images/level/admin.gif>";}
else
if(moderated.indexOf("|"+username+"|") != -1 && moderated!=""){levelname="论坛版主";levelimage="<img src=images/level/banzhu.gif>";}
else
if (experience<= 50){levelname="武者";levelimage="<img src=images/level/1.gif>";}
else
if (experience<= 150){levelname="佣兵";levelimage="<img src=images/level/2.gif>";}
else
if (experience<= 500){levelname="战士";levelimage="<img src=images/level/3.gif>";}
else
if (experience<= 1000){levelname="巡守";levelimage="<img src=images/level/4.gif>";}
else
if (experience<= 2000){levelname="斗士";levelimage="<img src=images/level/5.gif>";}
else
if (experience<= 4000){levelname="剑斗士";levelimage="<img src=images/level/6.gif>";}
else
if (experience<= 8000){levelname="宝藏猎人";levelimage="<img src=images/level/7.gif>";}
else
if (experience<= 12000){levelname="先知";levelimage="<img src=images/level/8.gif>";}
else
if (experience<= 20000){levelname="元素使";levelimage="<img src=images/level/9.gif>";}
else
if (experience<= 30000){levelname="深渊行者";levelimage="<img src=images/level/10.gif>";}
else
if (experience<= 50000){levelname="大地行者";levelimage="<img src=images/level/11.gif>";}
else
if (experience<= 70000){levelname="闇影游侠";levelimage="<img src=images/level/12.gif>";}
else
if (experience<= 100000){levelname="银月游侠";levelimage="<img src=images/level/13.gif>";}
else
if (experience<= 130000){levelname="剑术诗人";levelimage="<img src=images/level/14.gif>";}
else
if (experience<= 160000){levelname="剑刃舞者";levelimage="<img src=images/level/15.gif>";}
else
if (experience<= 200000){levelname="骑士";levelimage="<img src=images/level/16.gif>";}
else
if (experience<= 230000){levelname="席林骑士";levelimage="<img src=images/level/17.gif>";}
else
if (experience<= 260000){levelname="圣骑士";levelimage="<img src=images/level/18.gif>";}
else
if (experience<= 300000){levelname="圣殿骑士";levelimage="<img src=images/level/19.gif>";}
else
if (experience> 300000){levelname="英雄";levelimage="<img src=images/level/20.gif>";}
return('');
}

//放大缩小图片
function yuzi_img(e, o)
{

}
